import { ChangeDetectorRef, EventEmitter, OnInit } from '@angular/core';
import { StepModel } from './models/qms-stepper.model';
export declare class QmsStepperComponent implements OnInit {
    private changeDetector;
    stepper: any;
    steps: StepModel[];
    width: number;
    height: number;
    isHorizontal: boolean;
    currentStep: number;
    labelPosition: string;
    selectionChangeEvent: EventEmitter<number>;
    constructor(changeDetector: ChangeDetectorRef);
    ngOnInit(): void;
    changeStep(selectedIndex: number): void;
}
